> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Enterprise Playbooks

> List all enterprise playbooks available to the authenticated user

Requires an enterprise admin personal API key.

Retrieve all playbooks for your enterprise. Includes team and community playbooks you have access to.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/playbooks
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/playbooks:
    get:
      tags:
        - playbooks
      summary: Get Enterprise Playbooks
      description: Get all enterprise playbooks.
      operationId: get_enterprise_playbooks_v2_enterprise_playbooks_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EnterprisePlaybookResponse'
                title: Response Get Enterprise Playbooks V2 Enterprise Playbooks Get
                type: array
          description: Successful Response
components:
  schemas:
    EnterprisePlaybookResponse:
      properties:
        access:
          title: Access
          type: string
        account_id:
          title: Account Id
          type: string
        body:
          title: Body
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        created_by_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Name
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        playbook_id:
          title: Playbook Id
          type: string
        status:
          title: Status
          type: string
        title:
          title: Title
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        updated_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By User Id
        updated_by_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By User Name
      required:
        - playbook_id
        - title
        - body
        - status
        - access
        - account_id
        - created_at
        - updated_at
        - created_by_user_id
        - created_by_user_name
        - updated_by_user_id
        - updated_by_user_name
      title: EnterprisePlaybookResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````